com.independentsoft.exchange

## Enum GreetingType

- java.lang.Object
- - java.lang.Enum<GreetingType>
  - - com.independentsoft.exchange.GreetingType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<GreetingType>

      public enum GreetingType
      extends java.lang.Enum<GreetingType>

  Defines the type of greeting to use in a PlayOnPhoneGreeting Operation request.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFAULT` Default.
    `OUT_OF_OFFICE` OutOfOffice.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GreetingType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static GreetingType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final GreetingType DEFAULT

      Default.

    - #### OUT_OF_OFFICE

          public static final GreetingType OUT_OF_OFFICE

      OutOfOffice.

  - ### Method Detail

    - #### values

          public static GreetingType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GreetingType c : GreetingType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GreetingType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null